OpenTTD Source: RoadStopSpec Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Static Public Member Functions | Data Fields
RoadStopSpec Struct Reference

Road stop specification. More...

`#include <newgrf_roadstop.h>`

Inheritance diagram for RoadStopSpec:

## Public Member Functions
Money | GetBuildCost (Price category) const
| Get the cost for building a road stop of this type.
Money | GetClearCost (Price category) const
| Get the cost for clearing a road stop of this type.

## Static Public Member Functions
static const RoadStopSpec * | Get (uint16_t index)

## Data Fields
GRFFilePropsBase< NUM_CARGO+3 > | grf_prop
| Properties related the the grf file.
StringID | name
| Name of this stop.
RoadStopAvailabilityType | stop_type = ROADSTOPTYPE_ALL
RoadStopDrawMode | draw_mode = ROADSTOP_DRAW_MODE_ROAD | ROADSTOP_DRAW_MODE_OVERLAY
uint8_t | callback_mask = 0
uint16_t | flags = 0
CargoTypes | cargo_triggers = 0
| Bitmask of cargo types which cause trigger re-randomizing.
AnimationInfo | animation
uint8_t | bridge_height [6]
| Minimum height for a bridge above, 0 for none.
uint8_t | bridge_disallowed_pillars [6]
| Disallowed pillar flags for a bridge above.
uint8_t | build_cost_multiplier = 16
| Build cost multiplier per tile.
uint8_t | clear_cost_multiplier = 16
| Clear cost multiplier per tile.
Data Fields inherited from NewGRFSpecBase< RoadStopClassID >
RoadStopClassID | class_index
| Class index of this spec, invalid until class is allocated.
uint16_t | index
| Index within class of this spec, invalid until inserted into class.

## Detailed Description

Road stop specification.

Definition at line 135 of file newgrf_roadstop.h.

## Member Function Documentation

## ◆ GetBuildCost()

Money RoadStopSpec::GetBuildCost | ( | Price | category | ) | const
| inline

Get the cost for building a road stop of this type.

Returns
  The cost for building.

Definition at line 164 of file newgrf_roadstop.h.

References GetPrice(), and GRFFilePropsBase< Tcnt >::grffile.

Referenced by CmdBuildRoadStop(), and CmdBuildRoadWaypoint().

## ◆ GetClearCost()

Money RoadStopSpec::GetClearCost | ( | Price | category | ) | const
| inline

Get the cost for clearing a road stop of this type.

Returns
  The cost for clearing.

Definition at line 170 of file newgrf_roadstop.h.

References GetPrice(), and GRFFilePropsBase< Tcnt >::grffile.

Referenced by RemoveRoadStop(), and RemoveRoadWaypointStop().

## Field Documentation

## ◆ animation

AnimationInfo RoadStopSpec::animation

Definition at line 152 of file newgrf_roadstop.h.

## ◆ bridge_disallowed_pillars

uint8_t RoadStopSpec::bridge_disallowed_pillars[6]

Disallowed pillar flags for a bridge above.

Definition at line 155 of file newgrf_roadstop.h.

## ◆ bridge_height

uint8_t RoadStopSpec::bridge_height[6]

Minimum height for a bridge above, 0 for none.

Definition at line 154 of file newgrf_roadstop.h.

## ◆ build_cost_multiplier

uint8_t RoadStopSpec::build_cost_multiplier = 16

Build cost multiplier per tile.

Definition at line 157 of file newgrf_roadstop.h.

## ◆ callback_mask

uint8_t RoadStopSpec::callback_mask = 0

Definition at line 147 of file newgrf_roadstop.h.

## ◆ cargo_triggers

CargoTypes RoadStopSpec::cargo_triggers = 0

Bitmask of cargo types which cause trigger re-randomizing.

Definition at line 150 of file newgrf_roadstop.h.

Referenced by TriggerRoadStopRandomisation().

## ◆ clear_cost_multiplier

uint8_t RoadStopSpec::clear_cost_multiplier = 16

Clear cost multiplier per tile.

Definition at line 158 of file newgrf_roadstop.h.

## ◆ draw_mode

RoadStopDrawMode RoadStopSpec::draw_mode = ROADSTOP_DRAW_MODE_ROAD | ROADSTOP_DRAW_MODE_OVERLAY

Definition at line 146 of file newgrf_roadstop.h.

## ◆ flags

uint16_t RoadStopSpec::flags = 0

Definition at line 148 of file newgrf_roadstop.h.

## ◆ grf_prop

GRFFilePropsBase<NUM_CARGO + 3> RoadStopSpec::grf_prop

Properties related the the grf file.

NUM_CARGO real cargo plus three pseudo cargo sprite groups. Used for obtaining the sprite offset of custom sprites, and for evaluating callbacks.

Definition at line 142 of file newgrf_roadstop.h.

Referenced by CmdBuildRoadStop(), NIHRoadStop::GetGRFID(), RoadStopScopeResolver::GetVariable(), and IsRoadStopAvailable().

## ◆ name

StringID RoadStopSpec::name

Name of this stop.

Definition at line 143 of file newgrf_roadstop.h.

## ◆ stop_type

RoadStopAvailabilityType RoadStopSpec::stop_type = ROADSTOPTYPE_ALL

Definition at line 145 of file newgrf_roadstop.h.

The documentation for this struct was generated from the following file:

- src/newgrf_roadstop.h